#include "object.h"


namespace render{
namespace fx{

object::~object()
{
    if(fbo)
    {
        fbo->free();
        delete fbo;
    }
}

void object::draw() noexcept
{
    if(fbo)
    {
        fbo->bind();
    }
    _draw();
}

}}
